<template>
	<view class="container">

		<view style="text-align: center;margin: 10px 0;">
			<h3>{{info.title}}</h3>
		</view>

		<view style="padding: 5px 20px;">
			<rich-text :nodes="info.content"></rich-text>
		</view>
	</view>
</template>

<script>
	import {
		get,
		post
	} from '@/common/request.js'
	export default {
		data() {
			return {

				scrollTop: 0,
				info: null,
			}
		},
		onLoad(options) {
			if (options.id) {
				this.articleInfo(options.id)
			}
		},
		methods: {
			articleInfo(id) {
				get('/myapi/api/yq_driver/articleInfo', {
					id
				}).then(res => {
					this.info = res.data
				})
			}
		}
	}
</script>

<style scoped lang="less">
	.container {
		padding-top: 2px;
		background-color: #f4f4f4;
		height: calc(100vh - 46px);

	}
</style>